[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH 0/2] Add lsi and virtio-scsi qemu caps



On qemu-kvm-0.15.1, it supports only lsi scsi controller model.
On qemu-kvm-0.12.1.2, it supports only virtio-scsi-pci scsi model
On qemu 1.1.50, it supports both.
So, instead of using the lsilogic model by default, the patch tries
to check which model the current QEMU supports, then choose it, lsi
has the priority.

If a scsi model is given in XML explicitly, we try to check if
the underlying QEMU supports it or not, raise an error on checking
failure.

Guannan Ren(2)
  (1/2)qemu: add two qemu caps for lsi and virtio-scsi SCSI controllers
  (2/2)test: add lsi and virtio-scsi qemu caps in testcases.

  src/qemu/qemu_capabilities.c |    7 ---
  src/qemu/qemu_capabilities.h |    2 -
  src/qemu/qemu_command.c      |   88 +++++++++++------------------------------
  src/qemu/qemu_command.h      |    3 +-
  tests/qemuhelptest.c         |   10 +---
  tests/qemuxml2argvtest.c     |   16 +++-----
  6 files changed, 34 insertions(+), 92 deletions(-)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]